import { CookieService, SameSite } from 'ngx-cookie-service';
import * as i0 from "@angular/core";
export declare class CookiesService {
    private cookieService;
    constructor(cookieService: CookieService);
    setCookie(name: string, value: string, expires?: number | Date | undefined, path?: string | undefined, domain?: string | undefined, secure?: boolean | undefined, sameSite?: SameSite | undefined): void;
    getCookie(name: string): string;
    getAllCookies(): {
        [key: string]: string;
    };
    deleteAllCookies(path?: string | undefined, domain?: string | undefined, secure?: boolean | undefined, sameSite?: SameSite | undefined): void;
    deleteCookie(name: string, path?: string | undefined, domain?: string | undefined, secure?: boolean | undefined, sameSite?: SameSite | undefined): void;
    checkCookie(name: string): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CookiesService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CookiesService>;
}
